import 'package:get/get.dart';
import 'package:logger/logger.dart';
import 'package:sigap/src/cores/services/background_service.dart';
import 'package:sigap/src/utils/helpers/network_manager.dart';

class UtilityBindings extends Bindings {
  Logger? get logger => Logger();
 
  BackgroundService? get backgroundService => BackgroundService.instance;

  @override
  void dependencies() {
    Get.put(backgroundService, permanent: true);
    Get.put(NetworkManager(), permanent: true);
    Get.put(logger, permanent: true);
  }
}
